<<< Previous |  | Next >>>

# FcUtf16ToUcs4

## Name

FcUtf16ToUcs4 -- convert UTF-16 to UCS4

## Synopsis

    #include <fontconfig/fontconfig.h>

``int `FcUtf16ToUcs4``(FcChar8 *`src`, FcEndian `endian`, FcChar32 *`dst`, int `len`);`

## Description

Converts the next Unicode char from `src` into `dst` and returns the number of bytes containing the char. `src` must be at least `len` bytes long. Bytes of `src` are combined into 16-bit units according to `endian`.

## Version

Fontconfig version 2.10.92

<<< Previous | Home | Next >>>
FcUtf8Len | Up | FcUtf16Len